import { FC, PropsWithChildren } from "react";
import clsx from "clsx";
import { Image } from "@nextui-org/image";
import ButtonOwn from "@/components/ButtonOwn";
// import logo from '../../../assets/imgs/deposit/logo.png'
import './page.scss'

interface Props {}

const Deposit: FC<PropsWithChildren<Props>> = (props) => {
    // let [amount, setAmount] = React.useState(0)
    let amount = 50
    let amountList = [10,20,50,100,200,500,1000,5000,10000]

    const setAmountFun = (amount = 0) => {
        // setAmount(amount)
    }

    return (
        <div className="deposit-box">
            {/* <Image
                className="img-box"
                width={300}
                radius="none"
                alt="logo"
                src="https://nextui-docs-v2.vercel.app/images/hero-card-complete.jpeg"
                /> */}
            <div className="img-box"></div>
            <p className="btn-box" color="primary">PIX Ⅰ</p>
            <div className="amount-box">
                <span>Montante (BRL):</span>
                <input type="number" placeholder="Mín. 10.00"/>
            </div>
            <ul className="ul-box">
                {
                    amountList.map((item, index) => (
                        <li className={amount==item?'active':''} key={index}>
                            <span className="hot"></span>
                            <div className="amountContent">
                                {/* <span className="iconfont icon-unit-brl"></span> */}
                                <span className="iconfont">R$</span>
                                <span> {item}</span>
                            </div>
                            <span className="amountTips">Oferecer 100%</span>
                        </li>
                    ))
                }
            </ul>
            <div className="topUp">
                <ButtonOwn active={amount>0?true:false}>Depositar Agora</ButtonOwn>
            </div>
        </div>
    );
};

export default Deposit;
